package com.bootdo.system.domain;

import java.io.Serializable;
import java.util.Date;



/**
 * 
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 18:29:04
 */
public class QueryDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//序号
	private Long id;
	//handel
	private String handle;
	//handel类型
	private String handleType;
	//请求IP
	private String ip;
	//请求时间
	private Date regtime;
	//耗时
	private String cost;
	//请求结果
	private String result;
	//响应内容
	private String response;

	/**
	 * 设置：序号
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：序号
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：handel
	 */
	public void setHandle(String handle) {
		this.handle = handle;
	}
	/**
	 * 获取：handel
	 */
	public String getHandle() {
		return handle;
	}
	/**
	 * 设置：handel类型
	 */
	public void setHandleType(String handleType) {
		this.handleType = handleType;
	}
	/**
	 * 获取：handel类型
	 */
	public String getHandleType() {
		return handleType;
	}
	/**
	 * 设置：请求IP
	 */
	public void setIp(String ip) {
		this.ip = ip;
	}
	/**
	 * 获取：请求IP
	 */
	public String getIp() {
		return ip;
	}
	/**
	 * 设置：请求时间
	 */
	public void setRegtime(Date regtime) {
		this.regtime = regtime;
	}
	/**
	 * 获取：请求时间
	 */
	public Date getRegtime() {
		return regtime;
	}
	/**
	 * 设置：耗时
	 */
	public void setCost(String cost) {
		this.cost = cost;
	}
	/**
	 * 获取：耗时
	 */
	public String getCost() {
		return cost;
	}
	/**
	 * 设置：请求结果
	 */
	public void setResult(String result) {
		this.result = result;
	}
	/**
	 * 获取：请求结果
	 */
	public String getResult() {
		return result;
	}
	/**
	 * 设置：响应内容
	 */
	public void setResponse(String response) {
		this.response = response;
	}
	/**
	 * 获取：响应内容
	 */
	public String getResponse() {
		return response;
	}
}
